Package org.duckdb

## Class DuckDBStruct

- java.lang.Object
- - org.duckdb.DuckDBStruct

All Implemented Interfaces:
  `java.sql.Struct`

    public class DuckDBStruct
    extends java.lang.Object
    implements java.sql.Struct

### Constructor Summary

Constructors
`DuckDBStruct​(java.lang.String[] keys, org.duckdb.DuckDBVector[] values, int offset, java.lang.String typeName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object[]` `getAttributes()`
`java.lang.Object[]` `getAttributes​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)`
`java.util.Map<java.lang.String,​java.lang.Object>` `getMap()`
`java.lang.String` `getSQLTypeName()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DuckDBStruct

    public DuckDBStruct​(java.lang.String[] keys,
                        org.duckdb.DuckDBVector[] values,
                        int offset,
                        java.lang.String typeName)

### Method Detail

#### getSQLTypeName

    public java.lang.String getSQLTypeName()
                                    throws java.sql.SQLException

Specified by:
  `getSQLTypeName` in interface `java.sql.Struct`
Throws:
  `java.sql.SQLException`

#### getAttributes

    public java.lang.Object[] getAttributes()
                                     throws java.sql.SQLException

Specified by:
  `getAttributes` in interface `java.sql.Struct`
Throws:
  `java.sql.SQLException`

#### getAttributes

    public java.lang.Object[] getAttributes​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)
                                     throws java.sql.SQLException

Specified by:
  `getAttributes` in interface `java.sql.Struct`
Throws:
  `java.sql.SQLException`

#### getMap

    public java.util.Map<java.lang.String,​java.lang.Object> getMap()
                                                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`